NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.RibBuilder Class Reference

Represents a Features.Rib builder More...

Inheritance diagram for NXOpen.Features.RibBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  RibCapGeometryOptions { FromSection, FromSelected }
 These represent the options for the Rib cap More...
 
enum  RibDraftOptions { None, FromCap }
 These represent the options for drafting the Rib More...
 
enum  RibThicknessOffsetOptions { Symmetric, Asymmetric }
 These represent the options for Rib Walls Offset More...
 
enum  RibTypes { PerpendiculartoSectionPlane, ParalleltoSectionPlane }
 These represent the options for Rib type More...
 

Properties

unsafe NXOpen.ScCollector CappingFaces [get]
 Returns the capping datum or faces More...
 
unsafe bool CombineRibWithTarget [get, set]
 Returns or sets the combine rib with target flag More...
 
unsafe NXOpen.Expression DraftAngle [get]
 Returns the draft angle More...
 
unsafe bool ReverseOffsetDirection [get, set]
 Returns or sets the reverse offset direction flag. More...
 
unsafe bool ReverseRibDirection [get, set]
 Returns or sets the reverse rib direction flag. More...
 
unsafe bool ReverseThicknessDirection [get, set]
 Returns or sets the reverse thickness direction flag. More...
 
unsafe
NXOpen.Features.RibBuilder.RibCapGeometryOptions 
RibCapGeometryOption [get, set]
 Returns or sets the rib cap geometry More...
 
unsafe NXOpen.Expression RibCapOffset [get]
 Returns the rib cap offset More...
 
unsafe
NXOpen.Features.RibBuilder.RibDraftOptions 
RibDraftOption [get, set]
 Returns or sets the rib draft options More...
 
unsafe NXOpen.Expression RibThickness [get]
 Returns the rib thickness More...
 
unsafe
NXOpen.Features.RibBuilder.RibThicknessOffsetOptions 
RibThicknessOffsetOption [get, set]
 Returns or sets the rib walls offset type More...
 
unsafe
NXOpen.Features.RibBuilder.RibTypes 
RibType [get, set]
 Returns or sets the rib type More...
 
unsafe NXOpen.Section Section [get]
 Returns the input section More...
 
unsafe NXOpen.ScCollector TargetBody [get]
 Returns the target body More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.Rib builder

To create a new instance of this class, use NXOpen.Features.DesignFeatureCollection.CreateRibBuilder

Default values.

Property Value

CombineRibWithTarget

1

DraftAngle.Value

1

RibCapGeometryOption

FromSection

RibCapOffset.Value

0 (millimeters part), 0 (inches part)

RibDraftOption

None

RibThickness.Value

2 (millimeters part), 0.1 (inches part)

RibThicknessOffsetOption

Symmetric

RibType

PerpendiculartoSectionPlane

Created in NX9.0.0

Member Enumeration Documentation

These represent the options for the Rib cap

Enumerator
FromSection 

Cap from section

FromSelected 

Cap from selected

These represent the options for drafting the Rib

Enumerator
None 

No Draft

FromCap 

Draft from cap

These represent the options for Rib Walls Offset

Enumerator
Symmetric 

Symmetric Offset

Asymmetric 

Asymmetric Offset

These represent the options for Rib type

Enumerator
PerpendiculartoSectionPlane 

Perpendicular to Section Plane

ParalleltoSectionPlane 

Parallel to Section Plane

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.RibBuilder.CappingFaces
get

Returns the capping datum or faces

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Features.RibBuilder.CombineRibWithTarget
getset

Returns or sets the combine rib with target flag

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.RibBuilder.DraftAngle
get

Returns the draft angle

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Features.RibBuilder.ReverseOffsetDirection
getset

Returns or sets the reverse offset direction flag.

Indicates whether the Rib Cap Offset direction has been flipped from its initial inferred direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.RibBuilder.ReverseRibDirection
getset

Returns or sets the reverse rib direction flag.

Indicates whether the Rib direction has been flipped from its initial inferred direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.RibBuilder.ReverseThicknessDirection
getset

Returns or sets the reverse thickness direction flag.

Indicates whether the Thickness direction has been flipped from its initial inferred direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.RibBuilder.RibCapGeometryOptions NXOpen.Features.RibBuilder.RibCapGeometryOption
getset

Returns or sets the rib cap geometry

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.RibBuilder.RibCapOffset
get

Returns the rib cap offset

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.RibBuilder.RibDraftOptions NXOpen.Features.RibBuilder.RibDraftOption
getset

Returns or sets the rib draft options

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.RibBuilder.RibThickness
get

Returns the rib thickness

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.RibBuilder.RibThicknessOffsetOptions NXOpen.Features.RibBuilder.RibThicknessOffsetOption
getset

Returns or sets the rib walls offset type

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.RibBuilder.RibTypes NXOpen.Features.RibBuilder.RibType
getset

Returns or sets the rib type

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.RibBuilder.Section
get

Returns the input section

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.RibBuilder.TargetBody
get

Returns the target body

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.